
-- @AutoRun
-- drop table tl_level_type;



CREATE TABLE tl_level_type (
    object_id numeric(12) NOT NULL ,
    object_last_updated_date timestamp DEFAULT NOW() NOT NULL ,
    object_created_date timestamp DEFAULT NOW() NOT NULL
    ,
    type_flag varchar(200) NULL,
    level_number numeric(12)  NULL,
    factor_number numeric(12)  NULL
    );



ALTER TABLE tl_level_type ADD    
    CONSTRAINT pk_tl_level_type PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
    CREATE INDEX idx_tl_level_type_level_number 
    ON tl_level_type (level_number);

    CREATE INDEX idx_tl_level_type_factor_number 
    ON tl_level_type (factor_number);
